Microsoft Upgrade “Advisor”

Please excuse the scare quotes, but this amuses me: I thought, for comedy value, I’d see what the Microsoft Upgrade Advisor says about my machines’ readiness for Vista: See here.

So I downloaded said advisor, but was told MSXML needed updating. Fine. So one button click later I get shown to this:

Microsoft Core XML Services (MSXML) 6.0

Tell me, and no, no-one gets a prize, but if you were the sort of person who needed to work out whether your machine would run vista, would you have ANY idea which version of these files you’d need?

msxml6.msi
msxml6_ia64.msi
msxml6_SDK.msi
msxml6_x64.msi

Further more, on successful installation of the top one of that list, it turns out I need to install .NET 2.0 Framework as well?

And that’s just to run the “advisor”…
Long roads ahead I feel…